<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__csd__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_csd_context_t</compoundname>
    <includes local="no">cy_csd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__csd__context__t_1a3d3718a12013b8dbe488bf031cd4eefa" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__csd__enums_1ga281a1b4a5cddb0bee365a7835985ccba">cy_en_csd_key_t</ref></type>
        <definition>cy_en_csd_key_t cy_stc_csd_context_t::lockKey</definition>
        <argsstring />
        <name>lockKey</name>
        <briefdescription>
<para>Middleware ID that currently captured CSD. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="553" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="553" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CSD driver context structure. </para>    </briefdescription>
    <detaileddescription>
<para>This structure is an internal structure of the CSD driver and should not be accessed directly by the application program. </para>    </detaileddescription>
    <location bodyend="554" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="550" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="551" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__csd__context__t_1a3d3718a12013b8dbe488bf031cd4eefa" virt="non-virtual"><scope>cy_stc_csd_context_t</scope><name>lockKey</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>